void main( void )
{
}

void talk( void )
{
 freeze(1);
 freeze(&current_sprite);
 say_stop("`3你好啊。", &current_sprite);
 wait(250);
 say_stop("你好，你是哪位？", 1);
 wait(250)
 say_stop("`3我是妈妈鸭。", &current_sprite);
 wait(250);
 say_stop("哦，知道了。", 1);
 wait(250);
 say_stop("孩子们怎么样？", 1);
 wait(250);
 say_stop("`3他们很好。", &current_sprite);
 wait(250);
 say_stop("哈哈，那样才好。", 1);
 unfreeze(1);
 unfreeze(&current_sprite);
}
             
void hit( void )
{
 freeze(&current_sprite);
 say_stop("好玩，嘿嘿", 1);
 unfreeze(&current_sprite);
}

void die ( void )
{
  int &hold = sp_editor_num(&current_sprite);
  if (&hold != 0)
  editor_type(&hold, 6); 

}



